View Issue Details

IDProjectCategoryView StatusLast Update
0023516mantisbtapi restpublic2017-10-28 19:08
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.7.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023516: Enable REST API by default
Description

The REST API has been available for a few releases and have reached reasonable coverage for core functionality. It is time to enable it by default.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 1a3aec6f

2017-10-21 23:14:20

vboctor

Details Diff
Enable REST API by default

Fixes 0023516
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/api.xml Diff File

Issue History

Date Modified Username Field Change
2017-10-21 23:13 vboctor New Issue
2017-10-21 23:13 vboctor Status new => assigned
2017-10-21 23:13 vboctor Assigned To => vboctor
2017-10-21 23:16 vboctor Note Added: 0058017
2017-10-22 19:47 vboctor Changeset attached => MantisBT master 1a3aec6f
2017-10-22 19:47 vboctor Status assigned => resolved
2017-10-22 19:47 vboctor Resolution open => fixed
2017-10-22 19:47 vboctor Fixed in Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed